textures/48abbl/icelake_nodmg
{
	qer_trans 0.80
	qer_editorimage textures/48abbl/icelake.tga
	surfaceparm monsterslicksouth
	surfaceparm nodamage
	surfaceparm slick

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		blendfunc blend
	}
	{
		map textures/48abbl/icelake.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthWrite
	}
}

textures/48abbl/chainmaterial
{
	{
		map textures/effects/envmap_slate.tga
		tcGen environment
	}
}

textures/48abbl/base_terrain
{
	q3map_nonplanar
	q3map_shadeAngle 180                                              
	
	q3map_lightmapMergable
	q3map_lightmapsize 2048 2048
}

textures/48abbl/terrain1_sticks
{
	qer_editorimage textures/48abbl/rocks_sjs1.jpg
	q3map_baseshader textures/48abbl/base_terrain
	
	surfaceparm monsterslicksouth
	surfaceparm gravelsteps
	surfaceparm nomarks

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
{
		map textures/48abbl/rocks_sjs1.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/48abbl/terrain2_sticks
{
	qer_editorimage textures/48abbl/rocks_sjs2.jpg
	q3map_baseshader textures/48abbl/base_terrain

	surfaceparm monsterslicksouth
	surfaceparm gravelsteps
	surfaceparm nomarks
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )		
{
        map textures/48abbl/rocks_sjs1.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/48abbl/rocks_sjs2.jpg
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/48abbl/terrain2_stickfoghax
{
	qer_editorimage textures/48abbl/sjs_wood1.jpg
	q3map_baseshader textures/48abbl/base_terrain

	surfaceparm monsterslicksouth
	surfaceparm woodsteps
	surfaceparm nomarks
	
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )		
{
        map textures/48abbl/rocks_sjs1.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/48abbl/sjs_wood1.jpg
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/48abbl/terrain_csec
{
	qer_editorimage textures/48abbl/csec_grass.jpg
	q3map_baseshader textures/48abbl/base_terrain
	
	surfaceparm grasssteps
	surfaceparm nodamage
	surfaceparm monsterslicksouth
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
{
		map textures/48abbl/csec_grass.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/48abbl/csec_ice_dmg
{

	qer_editorimage textures/48abbl/csec_ice.jpg
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm monsterslicksouth
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/48abbl/csec_ice.jpg
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/48abbl/csec_ice_nodmg
{

	qer_editorimage textures/48abbl/csec_ice.jpg
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm monsterslicksouth
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/48abbl/csec_ice.jpg
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/48abbl/csec_ice_dmg_js
{

	qer_editorimage textures/48abbl/csec_ice_js.jpg
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm monsterslicksouth
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/48abbl/csec_ice_js.jpg
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/48abbl/csec_ice_dmg_js_ob
{

	qer_editorimage textures/48abbl/csec_ice_js.jpg
	surfaceparm slick
	surfaceparm nomarks
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/48abbl/csec_ice_js.jpg
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/48abbl/csec_wood_jp
{
	qer_editorimage textures/48abbl/csec_wood_jp.jpg
	q3map_lightimage textures/48abbl/csec_wood_jp.blend.tga
	q3map_surfacelight 500
	{
		map textures/48abbl/csec_wood_jp.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/48abbl/csec_wood_jp.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 1 
	}
}

textures/48abbl/sjs_wood1
{
	surfaceparm woodsteps
	surfaceparm monsterslicksouth
	implicitMap -
}

textures/48abbl/sjs_endblend
{
	surfaceparm gravelsteps
	surfaceparm monsterslicksouth
	implicitMap -
}

textures/48abbl/sjs_wood2
{
	surfaceparm woodsteps
	surfaceparm monsterslicksouth
	implicitMap -
}

textures/48abbl/border
{
	surfaceparm metalsteps
	surfaceparm monsterslicksouth
	implicitMap -
}

textures/48abbl/csec_floor
{
	surfaceparm monsterslicksouth
	surfaceparm nomarks
	implicitMap -
}

textures/48abbl/csec_floor_blend
{
	surfaceparm monsterslicksouth
	surfaceparm nomarks
	implicitMap -
}

textures/48abbl/solidblack
{
	surfaceparm monsterslicksouth
	surfaceparm nomarks
	implicitMap -
}

textures/48abbl/csec_wall
{
	surfaceparm monsterslicksouth
	surfaceparm nomarks
	implicitMap -
}

textures/48abbl/csec_metalborder
{
	surfaceparm monsterslicksouth
	surfaceparm nomarks
	implicitMap -
}

textures/48abbl/csec_multitrim
{
	surfaceparm monsterslicksouth
	surfaceparm nomarks
	implicitMap -
}

textures/48abbl/csec_wood
{
	surfaceparm monsterslicksouth
	surfaceparm nomarks
	implicitMap -
}

textures/48abbl/csec_wood_ob
{
	surfaceparm nomarks
	surfaceparm woodsteps
	implicitMap -
}

textures/48abbl/csec_wood_ob_bright
{
	surfaceparm nomarks
	surfaceparm woodsteps
	implicitMap -
}

textures/48abbl/fence
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm monsterslicksouth
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm metalsteps
	surfaceparm trans
	implicitMask -
}

textures/48abbl/chain
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm monsterslicksouth
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/48abbl/fakesky_e
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noDlight
	q3map_lightimage textures/skies_sd/siwa_clouds.tga
	
	q3map_sunExt .75 .75 .75 88 89 90 0 1
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 80 5
	sunshader textures/skies_sd/siwasunbright
	
	qer_editorimage textures/48abbl/fakesky.jpg
	
	{
		map textures/48abbl/fakesky.jpg
		tcMod scroll 0.004 -0.004
		rgbGen identityLighting
	}
}

textures/48abbl/arrow 
{ 
	qer_editorimage textures/48abbl/arrow.tga
	q3map_nonplanar 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	
	sort decal
	
	{
		map textures/48abbl/arrow.tga
        	blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}

textures/48abbl/csec_ladder
{
	cull disable
	surfaceparm nomarks
	surfaceparm nonsolid 
	surfaceparm monsterslicksouth
	surfaceparm alphashadow
	surfaceparm woodsteps
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/48abbl/tramglass2_fix
{
	qer_editorimage textures/common/dirtymirror2.tga
	qer_trans 0.5
	surfaceparm monsterslicksouth
	surfaceparm alphashadow
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/common/dirtymirror2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/48abbl/jumble
{
	
	polygonOffset
	surfaceparm pointlight
	implicitBlend textures/48abbl/jumble.tga
}
